Description

I have been using QGIS for a while now and I am trying to display 2 sets of data at a point. Manipulating size and colour are the logical

choices for me and I have used data defined override. The GIS displays this fine in the main data window, and on the print layout,

however, when I create my legend there is no data defined override for the colour or the size in the legened.

Is there a way to do this or is this not yet a feature?

If it is not a feature then when will it become one?

Kind regards,

Pat.

History

#1 - 2018-10-30 10:20 AM - Giovanni Manghi

- Category changed from Attribute table to Map Legend

- Status changed from Open to Feedback

duplicate/similar to this #11491 ?

#2 - 2018-11-01 02:55 AM - Patrick Harvey

Thanks for that!! I still took me a bit to work it out with the info they had there and there are some very specific things you need to set to get it to display

properly, but I got there. I may look at putting it in the user manual at some point in the near future to help others.

#3 - 2018-11-01 09:43 AM - Giovanni Manghi

Patrick Harvey wrote:

Thanks for that!! I still took me a bit to work it out with the info they had there and there are some very specific things you need to set to get it to

display properly, but I got there. I may look at putting it in the user manual at some point in the near future to help others.

did you find the solution to your problem in that ticket? if yes can you explain please?

#4 - 2018-11-04 10:52 AM - Patrick Harvey
It is a little more complicated than just looking at that ticket.

It gave me a few key words that I searched online. I realised that I was using the wrong kind of categorisation. I was using a simple marker where I needed

to be using a graduated symbol (or one that allowed me to make a data defined legend) with colour to define one of my fields (in my case gold) and then I

needed to data define the override on the size of the marker (arsenic). This then gave me the option of a data defined legend. I also had to set the default

size of my marker in the data defined size override to greater than 0 otherwise it did not show on the legend.

If you need more detail I would be happy to help out. If it is needed I can write this into the user manual so that other people can use it too.

#5 - 2018-11-04 03:03 PM - Harrissou Santanna

Maybe I don't understand well your initial report but based on your last feedback, maybe you were in need of something like 

https://docs.qgis.org/testing/en/docs/user_manual/working_with_vector/vector_properties.html#proportional-symbol-and-multivariate-analysis? which is a

bit different from the other thread.

If it is needed I can write this into the user manual so that other people can use it too.

Yes please! Help improve the manual with anything that can be valuable for users.

#6 - 2018-11-05 03:04 AM - Patrick Harvey

Yes that is exactly what I needed. I will still look at writing it into the user manual in a clear and simple manner.
